.header{
    position: fixed;
    height: $header-height;
    width: 100%;
    left: 0;
    top: 0;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0,0,0,.1);
    padding-top: 17px;
    z-index: 10;
    transition: padding-right .3s;
    background-color: #fff;

    @include media-breakpoint-down(md){        
        padding-top: 0;
        height: $header-height-md;
    }

    @include media-breakpoint-down(xs){
       height: $header-height-xs;
    }

    &__nav{
        font-family: $headings-font-family;
        font-size: 15px;
        padding-top: 13px;

        @include media-breakpoint-down(md){
            padding-top: 5px;
        }

        @include media-breakpoint-down(xs){
            padding-top: 0px;
        }
    }

    &__nav-menu{
        display: inline-block;
        vertical-align: baseline;
    }

    &__nav-icons{
        position: relative;
        top: -1px;
        margin-right: 44px;

        .icon{
            cursor: pointer;
        }

        .close-icon{
            display: none;
        }
    }

    &__nav-search{
        display: inline-block;
        vertical-align: baseline;
        cursor: pointer;
        position: relative;
        top: -1px;

        .arrow-right-icon,
        .close-icon{
            display: none;
        }
    }

    &__nav-spacer{
        display: inline-block;
        vertical-align: baseline;
        margin-left: 16px;
        margin-right: 16px;
        width: 1px;
        height: 9px;
        background-color: #e5e5e5;
    }

    .icon{
        stroke: #666;

        &:hover{
            stroke: #333;
        }
    }

    .menu-icon{
        width: 18px;
        height: 13px;
    }

    .close-icon{
        width: 15.70289px;
        height: 15.70289px;
    }

    .search-icon{
        width: 15.85px;
        height: 15.85px;
    }

    .arrow-right-icon{
        width: 7.8px;
        height: 14px;
    }
}

.logo{

    &__text{
        font-size: 11px;
        line-height: 1.182;
        display: inline-block;
        vertical-align: middle;
        margin-left: 15px;

        @include media-breakpoint-down(md){
            margin-left: 10px;
            font-size: 9px;
        }
    }

    &__pic{        
        width: 252px;
        height: 45px;

        @include media-breakpoint-down(md){
            width: 203px;
            height: 36.25px;
        }
        @include media-breakpoint-down(xs){
            width: 143px;
            height: 25.5357px;
        }
    }
}

.top-menu{
    margin-bottom: 0;

    &__item{
        &:not(:last-child){
            margin-right: 16px;
        }

        a{
            color: #666;

            &:hover{
                color: #333;
            }
        }
    }
}

.filterOpened{
    .header{
        @include media-breakpoint-up(lg){
            padding-right: $filter-width - 10px;
        }

        &__nav-search{
            .search-icon{
                display: none;
            }

            .close-icon{
                display: inline;
                stroke: $danger;
            }

            @include media-breakpoint-up(lg){
                .arrow-right-icon{
                    display: inline;
                }

                .close-icon{
                    display: none;
                }
            }
        }
    }
}

.menuOpened{
    .header{
        &__nav-icons{
            .menu-icon{
                display: none;
            }

            .close-icon{
                display: inline;
                stroke: $danger;
            }
        }
    }
}

.modal-open{
    .header{
        z-index: 10000;
    }
}
